2022-10-25  Simon Josefsson  <simon@josefsson.org>

	version 2.4
	* NEWS: Record release date.

	doc: Add NEWS entries.

2022-10-25  Samuel Thibault  <samuel.thibault@gnu.org>

	ifconfig hurd: Notify pfinet of interfaces
	When the pfinet translator is configured without any initial interface,
	ifconfig has to explicitly tell it the interfaces to be configured.
	This needs to be done before any SIOC ioctl with that interface name,
	thus introducing a system_preconfigure that is called before any other
	configuration.

	* ifconfig/system.h (system_preconfigure): New prototype.
	* ifconfig/system/hurd.c: Include hurd.h, hurd/paths.h, hurd/fsys.h,
	argz.h.
	(check_driving): New function.
	(system_preconfigure): New function.
	* ifconfig/system/bsd.c (system_preconfigure): New functions.
	* ifconfig/system/generic.c (system_preconfigure): Likewise.
	* ifconfig/system/linux.c (system_preconfigure): Likewise.
	* ifconfig/system/qnx.c (system_preconfigure): Likewise.
	* ifconfig/system/solaris.c (system_preconfigure): Likewise.
	* ifconfig/changeif.c (configure_if): Call system_preconfigure before
	other "set" functions.

2022-10-25  Samuel Thibault  <samuel.thibault@gnu.org>

	ifconfig: Support prefix length.
	Prefix lengths are much more convenient, support them as an alternative
	to passing -m separately from -A.

	* ifconfig/options.c (parse_opt): Detect prefix length, and in such a
	case, call parse_opt_set_netmask.

2022-10-25  Simon Josefsson  <simon@josefsson.org>

	Update gnulib submodule.

	Build fixes for C23 compatibility.
	* src/inetd.c (signal_set_handler): Clarify sighandler_t type.
	* ifconfig/printif.c, ifconfig/system/bsd.c, ifconfig/system/generic.c,
	  ifconfig/system/hurd.c, ifconfig/system/linux.c, src/tftp.c,
	  telnet/commands.c: Reorder MAYBE_UNUSED.
	* libtelnet/genget.c (isprefix, genget): Use const char.
	  libtelnet/genget.c (Ambiguous): Use void.
	* telnet/commands.c, telnet/externs.h, telnet/network.c,
	  telnet/telnet.c, telnet/utilities.c: Clarify empty function types,
	  and update callers.

2022-10-14  Simon Josefsson  <simon@josefsson.org>

	Don't use variable names true/bool, fixing gnulib builds and syncs with BSD.
	* src/rlogind.c (rlogind_mainloop): Replace 'true' with 'on'.
	* telnetd/telnetd.c (telnetd_setup): Likewise.
	* ftp/cmds.c (onoff): Replace 'bool' with 'val'.

	Run ./bootstrap --bootstrap-sync.
	* bootstrap: Updated.
	* autogen.sh, autopull.sh, bootstrap-funclib.sh: New files.

	Update gnulib submodule.

2022-10-02  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	ftp: Avoid crash via infinite macro recursion
	This fixes the problem reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00005.html>.

	* NEWS: Mention fix.
	* doc/inetutils.texi (Ftp commands):  Mention macro nesting depth
	limit.
	* ftp/domacro.c:  New constant MAX_MACRO_NESTING_DEPTH.
	(domacro):  Limit macro nesting depth to MAX_MACRO_NESTING_DEPTH.
	* tests/ftp-parser.sh:  Test execution of nested macros.

2022-10-02  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: Check for infinite recursion ftp crash
	* tests/Makefile.am (EXTRA_DIST): Add new binary fuzzer found input.
	* tests/crash-ftp-msg2021-12_05.bin: New file.  Input found via
	fuzzer that crashes ftp via infinite macro recursion.  Reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00005.html>.
	* tests/ftp-regressions.sh: Add currently failing check for regression
	of upcoming fix for bug reported by AiDai.

2022-10-01  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	ftp: Avoid NULL pointer dereference with nmap
	This fixes the problem reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00004.html>.

	* NEWS: Mention fix.
	* ftp/cmds.c (setnmap): Accept both space and tab characters
	between command arguments.

2022-10-01  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: Check for ftp crashes with "nmap" command
	* tests/Makefile.am (EXTRA_DIST): Add new binary fuzzer found input.
	* tests/crash-ftp-msg2021-12_04.bin: New file.  Input found via
	fuzzer that crashes ftp via NULL pointer dereference.  Reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00004.html>.
	* tests/ftp-parser.sh: Add currently failing tests with a tab
	between arguments to the "nmap" command.
	* tests/ftp-regressions.sh: Add currently failing check for regression
	of upcoming fix for bug reported by AiDai.

	tests: ftp file name translation command parsing
	* tests/ftp-parser.sh: Test setting file name translation
	arguments.

2022-09-30  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: ftp file name mapping command parsing
	* tests/ftp-parser.sh: Test that the "nmap" and "ntrans"
	commands produce a single output line.  Test setting file
	name mapping patterns using one or two input lines.  Test
	this for the proxy connection, too.

2022-09-25  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	ftp: Avoid heap buffer overflow in macro execution
	This fixes the problem reported by ZFeiXQ in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00016.html>.

	* NEWS: Mention fix.
	* ftp/domacro.c (domacro): Check buffer size before copying
	into buffer.  Reallocate buffer of sufficient size if necessary.

2022-09-25  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: Check for ftp heap buffer overflow
	* tests/Makefile.am (EXTRA_DIST): Add new binary fuzzer found input.
	* tests/crash-ftp-msg2021-12_16.bin: New file.  Input found via
	fuzzer that crashes ftp via heap buffer overflow.  Reported by ZFeiXQ in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00016.html>.
	* tests/ftp-regressions.sh: Add currently failing check for regression
	of upcoming fix for bug reported by ZFeiXQ.

2022-09-25  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	ftp: Avoid integer overflow in macro execution
	This fixes the problem reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00003.html>.

	* NEWS: Mention fix.
	* ftp/domacro.c: Include limits.h.
	(domacro): Avoid signed integer overflow.  Avoid out-of-bounds
	buffer access.

2022-09-25  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: Check for ftp integer overflow crash bug
	* cfg.mk (exclude_file_name_regexp--sc_trailing_blank)
	(exclude_file_name_regexp--sc_prohibit_empty_lines_at_EOF): Change
	pattern to match both binary fuzzer found input files used in tests.
	* tests/Makefile.am (EXTRA_DIST): Add new binary fuzzer found input.
	* tests/crash-ftp-msg2021-12_03.bin: New file.  Input found via
	fuzzer that crashes ftp via signed integer overflow and resulting
	out-of-bounds array access.  Reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00003.html>.
	* tests/ftp-regressions.sh: New file.  Currently failing checks
	for regression of upcoming fix for bug reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00003.html>.

2022-09-25  Simon Josefsson  <simon@josefsson.org>

	Fix srcdir in tools.sh.in.
	* tests/tools.sh.in (srcdir): Set fallback srcdir.

	Fix 'make dist' and 'make syntax-check'.
	* tests/Makefile.am (EXTRA_DIST): Unconditionally distribute crash file.
	* tests/crash-tftp-msg2021-12_18.bin: Renamed.
	* cfg.mk (exclude_file_name_regexp--sc_trailing_blank)
	(exclude_file_name_regexp--sc_prohibit_empty_lines_at_EOF): Add crash file.
	* tests/tools.sh (srcdir): Set fallback srcdir.
	* tests/tftp-regressions.sh: Use new filename in srcdir.

2022-09-22  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	Texinfo: typo fix
	* doc/inetutils.texi (inetd configuration file): Fix typo in
	configuration directory name.

2022-09-17  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: read binary fuzzer input from a file
	Instead of recreating the binary input found to crash tftp
	with printf(1), save the input in a file and use input
	redirection in the test.

	* tests/Makefile.ami (EXTRA_DIST): Move setting of EXTRA_DIST
	before setting dist_check_SCRIPTS.  Add the tftp crash input
	file when the tftp client is enabled.
	* tests/crash-tftp-msg2021-12_18: New file.  The input formerly
	crashing tftp.
	* tests/tftp-regressions.sh: Replace use of printf with input
	redirection.

2022-09-11  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tftp: Ignore excess arguments
	When given too many arguments to a command at the tftp cli,
	the buffer used to hold the arguments would overflow.  This
	could result in a crash.

	The problem was reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00018.html>.

	This commit fixes the test failure in the previously added
	file "tests/tftp-regressions.sh".

	* NEWS: Mention fix.
	* src/tftp.c (makeargv): Do not overflow argument buffer.

2022-09-11  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	tests: Check for tftp crash bug
	* tests/Makefile.am (dist_check_SCRIPTS)
	* tests/tftp-regressions.sh: New file.  Currently failing
	check for regression of fix for bug reported by AiDai in:
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00018.html>

2022-09-08  Simon Josefsson  <simon@josefsson.org>

	Doc fix, adding CVE.

2022-09-07  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	telnet: fix typo in diagnostic message
	* telnet/commands.c (makeargv): Print the newline after the
	sentence terminating period, not before.

2022-09-06  Guillem Jover  <guillem@hadrons.org>

	telnet: Add checks for option reply parsing limits
	This fixes buffer overflows caused by for example:

	  telnet -l`perl -e 'print "A"x5000'` localhost

	Origin: FreeBSD, https://cgit.freebsd.org/src/commit/?id=14aab889f4e50072a6b914eb95ebbfa939539dad
	Fixes: CVE-2019-0053

2022-09-03  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	telnetd: Handle early IAC EC or IAC EL receipt
	Fix telnetd crash if the first two bytes of a new connection
	are 0xff 0xf7 (IAC EC) or 0xff 0xf8 (IAC EL).

	The problem was reported in:
	<https://pierrekim.github.io/blog/2022-08-24-2-byte-dos-freebsd-netbsd-telnetd-netkit-telnetd-inetutils-telnetd-kerberos-telnetd.html>.

	* NEWS: Mention fix.
	* telnetd/state.c (telrcv): Handle zero slctab[SLC_EC].sptr and
	zero slctab[SLC_EL].sptr.

2022-07-08  Simon Josefsson  <simon@josefsson.org>

	doc: Mention more dependencies.  Drop obsolete text.

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.3
	* NEWS: Record release date.

	doc: Fix NEWS entries.

2022-07-08  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	telnet: Fix TTYPE subnegotiation off-by-one error.
	Fix off-by-one error in Terminal-Type option subnegotiation if the TERM
	variable has exactly 44 bytes.  In this case the SE byte (end of
	subnegotiation parameters) was replaced by a NUL byte.  This concerns
	the CVE-2019-0053 fixes.  Reported by Erik Auerswald in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00004.html>.

	* NEWS: Mention fix.
	* telnet/telnet.c (suboption): Adjust length check to account for NUL
	byte written by snprintf().

2022-07-08  Erik Auerswald  <auerswal@unix-ag.uni-kl.de>

	telnet: Abort subnegotiation of XDISPLOC on error.
	Subnegotiation of the X Display Location option needs to be
	aborted when it cannot be completed.

	* NEWS: Mention fix.
	* telnet/telnet.c (suboption): Call send_wont() to abort when
	DISPLAY value does not fit into temporary buffer.

2022-07-08  Simon Josefsson  <simon@josefsson.org>

	whois: Support .art.
	Suggested by Chris Reveles <chris@talis.eco> in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-01/msg00001.html>.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	logger: Don't read out of bounds on empty strings.
	Reported by AiDai in:
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00015.html>

	* src/logger.c (send_to_syslog): Handle empty strings.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	telnet: Fix crash of "set ' ' foo" command.
	Reported by ZFeiXQ and tiny patch by Erik Auerswald in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00010.html>.

	* telnet/commands.c (setcmd): Don't crash on empty option.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	Check for telnet crash bug.
	* tests/telnet-localhost.sh: Check regression of
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00010.html>
	bug reported by ZFeiXQ and debugged by Erik Auerswald.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	telnet: Fix crash of "unset ' '" command.
	Reported by AiDai and tiny patch by Erik Auerswald in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00007.html>.

	* telnet/commands.c (unsetcmd): Don't crash on empty option.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	Check for telnet crash bug.
	* tests/telnet-localhost.sh: Check regression of
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00007.html>
	bug reported by AiDai and debugged by Erik Auerswald.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	telnet: Make 'help help' output help string.
	Tiny patch by Erik Auerswald in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00009.html>.

	* telnet/commands.c (cmdtab2): Fix 'help' string.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	telnet: Fix crash on 'help help' command.
	Reported by AiDai in
	<https://lists.gnu.org/archive/html/bug-inetutils/2021-12/msg00009.html>
	and debugged and tiny patch by Erik Auerswald in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00009.html>.

	* telnet/commands.c (help): Don't crash on empty c->help.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	Check for telnet crash bug.
	* tests/telnet-localhost.sh: Check regression of
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00009.html>
	bug reported by AiDai and debugged by Erik Auerswald.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	telnet: Fix crash on too many options to 'help' command.
	Tiny patch from Erik Auerswald <auerswal@unix-ag.uni-kl.de> in
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00014.html>.

	* telnet/commands.c (TELNET_MAX_ARGS): New symbol.
	(margv): Use it instead of hard-coded value.
	(makeargv): Check if we reach limit instead of crashing.

2022-07-07  Simon Josefsson  <simon@josefsson.org>

	Check for telnet crash bug.
	* tests/telnet-localhost.sh: Check regression of
	<https://lists.gnu.org/archive/html/bug-inetutils/2022-02/msg00014.html>
	bug reported by Erik Auerswald.

	Fix mem leak.  Reported by AiDai <wyxaidai@gmail.com>.
	* ifconfig/options.c (parse_cmdline): Call if_freenameindex.

	Sync bootstrap with gnulib.
	* bootstrap: Update.

	Use gnulib git submodule.

2022-01-01  Alfred M. Szmidt  <ams@gnu.org>

	Sync bootstrap with gnulib.
	    * bootstrap: Update.

	Happy GNU 2022 year!

2021-09-03  Simon Josefsson  <simon@josefsson.org>

	maint: Improve syntax-checks.
	* cfg.mk (local-checks-to-skip): Enable sc_immutable_NEWS.  Disable sc_indent.

	doc: Improve README-release.
	* gl/top/README-release.diff: Update.

	maint: Use copyright year ranges for readability.
	* cfg.mk (update-copyright-env): Add, from coreutils.
	(VC_LIST_ALWAYS_EXCLUDE_REGEX): Add, for update-copyright exceptions.
	* README: Add info about copyright year ranges.
	* *: Update copyright notices.

	doc: Fix typos, inspired by tiny BSD patches.

	doc: Update TODO.

	maint: Autoupdate for autoconf 2.71.
	* configure.ac: Don't use AC_TRY_LINK or AC_TRY_COMPILE.
	* am/libcurses.m4: Ditto.
	* am/krb5.m4: Ditto.

	doc: Mention maintenance fixes.
	* NEWS: Add.

2021-09-03  Simon Josefsson  <simon@josefsson.org>

	telnet: Don't infloop for malicious server.
	See https://bugs.debian.org/945861 and the tiny patch used by NetBSD:
	https://github.com/NetBSD/src/commit/36b8cfb2e28f691beae12da0c207086e1df0c8c4#diff-38b7213f9c6c21245fbeb4fad9520a27239d712a6dd0fea20dd6b77203b5737c

	* NEWS: Mention fix.
	* telnet/utilities.c (ExitString): Don't call SetForExit().

2021-09-02  Simon Josefsson  <simon@josefsson.org>

	maint: Include license text FDL as suggested by bootstrap.
	* doc/fdl-1.3.texi: New file, from gnulib.
	* bootstrap.conf (gnulib_modules): Remove fdl-1.3.

	doc: Use 'networkING utilities' consistently.
	* cfg.mk (manual_title): Fix.
	* doc/inetutils.texi (Introduction): Fix.

2021-09-01  Simon Josefsson  <simon@josefsson.org>

	Drop obsolete/unused AC_HEADER_DIRENT, AC_FUNC_CLOSEDIR_VOID and AC_FUNC_STRCOLL.
	* configure.ac: Remove calls.

	Drop unused IU_CHECK_WEAK_REFS.
	* configure.ac: Remove IU_CHECK_WEAK_REFS.
	* am/check_weak_refs.m4: Remove file.

	Don't use obsolete AC_TYPE_SIGNAL.
	* configure.ac: Remove call to AC_TYPE_SIGNAL.

	Use gnulib module 'attribute' instead of obsolete 'snippets/unused-parameters'.
	* */*.c: Use MAYBE_UNUSED instead of _GL_UNUSED_PARAMETER.
	* */*.c: Include attribute.h instead of unused-parameters.h.

	maint: Don't cc release announcement to translators.
	* maint.mk (translation_project_): Set to empty.

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.2
	* NEWS: Record release date.

	ftp: check that PASV/LSPV addresses match.
	* NEWS: Mention change.
	* ftp/ftp.c (initconn): Validate returned addresses.

2021-08-26  Simon Josefsson  <simon@josefsson.org>

	rlogind: Code for non-getaddrinfo removed.
	* NEWS: Mention change.
	* src/rlogind.c [!HAVE_DECL_GETADDRINFO]: Remove.

2021-07-26  Simon Josefsson  <simon@josefsson.org>

	logger: Code for non-getaddrinfo removed.
	* NEWS: Mention change.
	* src/logger.c [!HAVE_DECL_GETADDRINFO]: Remove.

	doc: Document recent fixes.
	* NEWS: Add.

2021-07-25  Simon Josefsson  <simon@josefsson.org>

	tests: Don't fail ftp-localhost.sh when sysctl is missing.
	* tests/ftp-localhost.sh: Silent fail.

2021-07-24  Simon Josefsson  <simon@josefsson.org>

	Don't check for getopt_long, no longer used anywhere.
	* configure.ac: Remove check.

	Don't check for getpass, getusershell, and poll (gnulib modules already imported).
	* configure.ac: Remove checks.

	Don't check for memcmp, memcpy, memmove, memset and strdup (no gnulib module needed).
	* configure.ac: Remove checks.

	Drop AC_C_CONST (obsolete).
	* configure.ac: Remove it.

	Use gnulib module socklen.
	* bootstrap.conf (gnulib_modules): Add it.
	* configure.ac: Don't look for it.

	Use gnulib modules stdarg, stdlib and string.
	* bootstrap.conf (gnulib_modules): Add them.
	* configure.ac: Don't look for them.

	Use gnulib environ module.
	* bootstrap.conf (gnulib_modules): Add environ.
	* configure.ac: Don't look for environ.

	Use gnulib errno module.
	* bootstrap.conf (gnulib_modules): Add errno.
	* configure.ac: Don't look for errno.h.

	Use gnulib getpeername module.
	* bootstrap.conf (gnulib_modules): Add getpeername.
	* configure.ac: Don't look for getpeername.

	Refresh some release-related build rules.
	* cfg.mk: Update.

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.1
	* NEWS: Record release date.

	Really try to fix gnulib fts usage.
	* libls/ls.c (ls_main): Use FTS_NOCHDIR.

	Fix gnulib fts usage.
	* libls/cmp.c: Include fts_.h instead of fts.h.
	* libls/ls.c: Likewise.
	* libls/print.c: Likewise.
	* libls/util.c: Likewise.

	Use gnulib's fts code instead of custom libls/ version.
	* bootstrap.conf (gnulib_modules): Add fts.
	* libls/fts.h, libls/fts.c: Remove files.
	* NEWS: Mention change.
	* configure.ac: Drop fchdir test.

	Remove tests obsoleted by gnulib.
	* configure.ac (poll.h, HAVE_SNPRINTF, HAVE_VSNPRINTF, strerror): Drop tests.

	Drop old or unnecessary build rules.
	* Makefile.am (DISTCLEANFILES): Remove inetutils*.tar*.
	(snapshot): Remove rule.
	* bootstrap.conf (bootstrap_sync): Remove, causes unnecessary *-dirty
	version number if bootstrap changes in gnulib.
	(.bootstrap): Remove custom code.
	* configure.ac: Remove no-op comments about old systems.

	doc: Improve README-release.
	* bootstrap.conf (bootstrap_epilogue): Remove.
	* gl/top/README-release.diff: Update.

	Depend on .version instead of configure.ac (for version number changes).
	man/Makefile.am: Fix *.1 dependencies.

	Reorganize NEWS entries.
	* NEWS: Update.

2021-07-20  Simon Josefsson  <simon@josefsson.org>

	doc: Remove completed TODO item.

2021-05-26  Simon Josefsson  <simon@josefsson.org>

	Sync bootstrap with gnulib.
	* bootstrap: Update.

	ftp: Fix usage under Emacs AngeFTP on Mac OS.
	* NEWS: Doc fix.
	* doc/inetutils.texi (ftp invocation): Improve --no-edit.
	* ftp/main.c (main): Disable readline when TERM unset or dumb,
	inspired by trivial patch from Alex Bochannek <alex@bochannek.com>.

2021-05-25  Simon Josefsson  <simon@josefsson.org>

	Mention 'whois' fixes.
	* NEWS: Add.

	Use gitlog-to-changelog.
	* bootstrap.conf (gnulib_modules): Add gitlog-to-changelog.
	(bootstrap_post_import_hook): Create ChangeLog, for automake.
	* Makefile.am (gen-ChangeLog): New rule.
	(dist-hook): Depend on gen-ChangeLog.
	(EXTRA_DIST): Distribute ChangeLog.1.
	* THANKS: Refer to version control logs too.
	* ChangeLog: Renamed to ChangeLog.1.
	* NEWS: Mention change.

2021-05-03  Alfred M. Szmidt  <ams@gnu.org>

	README: Update.

2021-04-28  Simon Josefsson  <simon@josefsson.org>

	telnet: Support --bind (-b) for NetKit compatibility.
	* NEWS: Add.
	* doc/inetutils.texi (telnet invocation): Add --bind (-b).
	* telnet/commands.c (tn): New variables hostaddr and srchostp.
	Parse -b parameter.  Update usage string.  If -b is set, call
	getaddrinfo on it and pass that ai_addr on to bind.
	* telnet/main.c (srcaddr): New global variable.
	(argp_options): Add --bind (-b).
	(parse_opt): Set srcaddr to -b value.
	(main): Propagate -b value to tn function.

2021-04-26  Ashish SHUKLA  <ashish.is@lostca.se>

	whois: Update whois server for .IN

	whois: .ORG is not handled by InterNIC anymore
	See https://www.iana.org/domains/root/db/org.html

2021-02-11  Simon Josefsson  <simon@josefsson.org>

	TODO: Add items discussed on mailing list.

2021-02-05  Simon Josefsson  <simon@josefsson.org>

	Use gnulib sys_types module so we can assume sys/types.h.
	* tests/waitdaemon.c, tests/runtime-ipv6.c, tests/readutmp.c: Drop
	HAVE_SYS_TYPES_H test.
	* bootstrap.conf (gnulib_modules): Add explicit sys_types.

	Fix some autoreconf 2.71 warnings.
	configure.ac: Remove obsolete AC_HEADER_STDC, AC_HEADER_TIME,
	AC_FUNC_SETVBUF_REVERSED, and AC_DECL_SYS_SIGLIST.  Don't check
	for sys/time.h, we never use the test result.

	Fix last commit.

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.0
	* NEWS: Record release date.
